#
# spec file for package python-gtk (Version 2.8.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libglade2 libglade2-devel libjpeg libnscd libpng libpng-devel libstdc++ libsvg libsvg-cairo libtool libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils python python-cairo python-devel python-numeric rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           python-gtk
BuildRequires:  libglade2-devel python-cairo python-devel python-numeric update-desktop-files
URL:            http://www.pygtk.org/
Summary:        Python bindings for the GTK+ widget set
Version:        2.8.2
Release:        21.2
License:        LGPL
Group:          Development/Libraries/Python
Source:         pygtk-%{version}.tar.bz2
Source2:        acinclude.m4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Autoreqprov:    on
Requires:       python-cairo python-numeric
# -devel Requires: glib2-devel gtk2-devel libglade2-devel
%{py_requires}

%description
PyGTK is an extension module for python that gives you access to the
GTK+ widget set.  Just about anything you can write in C with GTK+ you
can write in python with PyGTK (within reason), but with all of
python's benefits.



Authors:
--------
    James Henstridge <james@daa.com.au>

%debug_package
%prep
%setup -q -n pygtk-%{version}
cp %{S:2} .

%build
autoreconf -i -f
%configure
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%doc AUTHORS NEWS README MAPPING ChangeLog THREADS COPYING examples
%{_prefix}/%{_lib}/python%{py_ver}/site-packages/*
%{_includedir}/*
%attr(755, root, root) %{_bindir}/pygtk-codegen-2.0
%attr(755, root, root) %{_bindir}/pygtk-demo
%{_libdir}/pkgconfig/*.pc
%{_datadir}/pygtk
%{_libdir}/pygtk

%changelog -n python-gtk
* Tue Mar 28 2006 - jmatejek@suse.cz
- fixed permissions on pygtk-demo
* Tue Mar 07 2006 - gekker@suse.de
- Add python-cairo to Requires to fix issues in packages
  that require python-gtk
* Tue Feb 28 2006 - sbrabec@suse.cz
- Added missing python-cairo to BuildRequires (#153456).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 10 2005 - jmatejek@suse.cz
- update to 2.8.2
* Mon Sep 05 2005 - aj@suse.de
- Update to 2.8.0.
* Wed Aug 10 2005 - sbrabec@suse.cz
- Do not require -devel packages.
* Wed Aug 03 2005 - gekker@suse.de
- update to 2.7.1 (adds gtk 2.8 support)
* Tue May 10 2005 - mcihar@suse.cz
- update to 2.6.2
* Thu Apr 14 2005 - mcihar@suse.cz
- update to 2.6.1
* Tue Feb 08 2005 - mcihar@suse.cz
- update to 2.5.3 (adds gtk 2.6 support)
- fix permissions
* Wed Dec 01 2004 - mcihar@suse.cz
- no need to recompile modules with current automake
* Wed Nov 24 2004 - mcihar@suse.cz
- udpdate to 2.4.1
* Tue Nov 23 2004 - ro@suse.de
- fix build for <= 9.0 (only py_ver works everywhere)
* Thu Apr 15 2004 - mcihar@suse.cz
- updated to 2.2.0
- drop gtk 1.2 support
* Mon Feb 23 2004 - mcihar@suse.cz
- really fix sed call
* Sat Feb 21 2004 - ro@suse.de
- fix typo in specfile
* Fri Feb 20 2004 - sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Fri Feb 20 2004 - mcihar@suse.cz
- enable threading in GTK 2 version (bug #34648)
- build GTK 1.2 version with -fno-strict-aliasing
* Mon Nov 03 2003 - meissner@suse.de
- requires python-numeric in installed system too.
* Wed Oct 15 2003 - mcihar@suse.cz
- record-rpm is really not needed
- don't build as root
* Tue Sep 02 2003 - mcihar@suse.cz
- updated to 2.0.0 (final GNOME 2 version, just minor bugfixes)
* Tue Aug 26 2003 - mcihar@suse.cz
- force usage of pygtk.py from 1.99.18 and not from 0.6.11 (caused
  problems with default sys.path in python 2.3)
* Tue Aug 26 2003 - mcihar@suse.cz
- updated to 1.99.18:
- Fix up a duplicate symbol bug in the atk module, that was
  causing build problems on MacOS X (hopefully the last such
  problem).
- add gtk.glade.set_custom_handler() API, that provides more
  info to the custom widget callback.  Deprecate
  set_custom_widget_callbacks().
- some other bug fixes.
* Thu Aug 07 2003 - mcihar@suse.cz
- updated to 1.99.17:
- Threading support is compiled in by default now.  It is
  necessary to call gtk.threads_init() in order to make use of
  threading though.  There have been a number of fixes to the
  threading support too.
- Fix up some problems with multiple definitions of global
  variables in gobject module, that was causing problems on
  Mac OS X.
- Wrappers for many new APIs (John Finlay, Naofumi Yasufuku,
  Johan Dahlin and others).
- Improvements to the code generator to give better error
  messages.
- Some fixes to property APIs to work correctly on 64 bit
  systems, and to handle ATOM type properties.
- Fix copyright headers on source files.
* Wed Aug 06 2003 - mcihar@suse.cz
- added workaround for lib64 dirs and pkgconfig
* Tue Aug 05 2003 - mcihar@suse.cz
- use distutils when possible
- compile python files with correct paths inside
- fix pkgconfig and codegen files to not contain buildroot
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu May 29 2003 - mcihar@suse.cz
- make executable only files that should be
* Mon May 12 2003 - mcihar@suse.cz
- use versioned dependency on python
* Mon May 05 2003 - mcihar@suse.cz
- gnome 2 version updated to 1.99.16
* Wed Mar 12 2003 - mcihar@suse.cz
- include both pygtk versions (for Gtk 1.2 and 2.0) making 1.2
  version default, this fixes bug #25148
* Thu Jan 23 2003 - mcihar@suse.cz
- updated to 1.99.14
* Fri Nov 29 2002 - mcihar@suse.cz
- added libxml2{,-devel} to neededforbuild to enable building with glade
* Wed Nov 27 2002 - mcihar@suse.cz
- cleaned up specfile
- fixed building for lib64 (this is temporary, should be fixed in autoconf)
* Wed Nov 27 2002 - mcihar@suse.cz
- version for GNOME 2
- fixes #21066 - dangling symlink
